import React from 'react';
import { FormInstance } from 'rc-field-form';
import { FormProps } from 'rc-field-form/es/Form';
export interface FormField {
    id: string;
    label?: NamePath;
    tips?: string;
    type: string;
    props?: any;
    options?: any;
    view?: (value: any) => React.ReactNode;
}
declare type NamePathArr = (string | number)[];
declare type NamePath = string | number | NamePathArr;
export interface FormFieldsProps {
    schema: FormSchema;
    layout?: 'horizontal' | 'vertical';
    adapters?: TypeAdapter[];
    validationAdapters?: ValidationAdapter[];
    className?: string;
    fieldData?: any;
    parentPath?: NamePathArr;
}
export interface TypeAdapter {
    name: string;
    render: (field: FormField, props: any) => React.ReactNode;
    initialValue?: (field: FormField, value?: any, item?: any) => any;
}
export interface ValidationAdapter {
    name: string;
    validator: any;
    message: string;
}
export declare type FormSchema = FormField | FormField[];
interface FormEState {
    value?: any;
}
export default class Form extends React.Component<FormProps, FormEState> {
    state: FormEState;
    static Item: React.FC<import("rc-field-form/lib/Field").FieldProps>;
    static useForm: typeof import("rc-field-form/lib/useForm").default;
    static Provider: React.FunctionComponent<import("rc-field-form/lib/FormContext").FormProviderProps>;
    static Items: React.FC<FormFieldsProps>;
    onValuesChange: (changed: any, all: any) => void;
    render(): React.ReactNode;
}
export declare type FormComponentProps = {
    form: FormInstance;
};
export {};
