import React, { FC } from 'react';
import { Input as InputX, NativeBase, RnViewStyleProp } from 'native-base';
import { StyleSheet } from 'react-native';
const styles = StyleSheet.create({
  material: {
    borderColor: 'white',
    borderBottomWidth: 1,
    color: 'white',
  },
  textMaterial: {
    color: 'white',
    fontFamily: 'roboto',
    fontWeight: 'normal',
    fontSize: 17,
  },
  default: {
    borderBottomWidth: 0,
    borderRadius: 5,
    backgroundColor: 'white',
    margin: 0,
  },
  textDefault: {
    color: 'white',
    fontFamily: 'roboto',
    fontWeight: 'normal',
    fontSize: 17,
  },
  itemStyle: {
    borderBottomWidth: 0,
  },
});
type Props = NativeBase.Input & {
  type?: 'material' | 'primary';
  inputStyle?: any;
  label?: string;
  style?: RnViewStyleProp;
  labelProps?: NativeBase.Label;
  inputProps?: NativeBase.Input;
  // children: ReactNode;
};
export const Input: FC<Props> = (props: Props) => {
  const { type, inputStyle } = props;
  const propsX = { ...props };
  propsX.style = inputStyle;
  delete propsX.labelProps;
  delete propsX.type;
  delete propsX.label;
  delete propsX.inputStyle;

  const renderElement = (inputStyleX?: any) => {
    return (
      <InputX
        {...propsX}
        style={inputStyle ? { ...inputStyle, ...inputStyleX } : inputStyleX}
      />
    );
  };
  switch (type) {
    case 'material':
      return renderElement(styles.material);
    default:
      return renderElement(styles.default);
  }
};
