import React, { FC, ReactNode } from 'react';
import { Label, RnTextStyleProp } from 'native-base';
import { StyleSheet, TouchableOpacity } from 'react-native';

const styles = StyleSheet.create({
  one: {
    color: 'white',
    fontSize: 30,
    fontFamily: ' Noto Serif',
  },
  two: {
    color: 'white',
    fontSize: 25,
  },
});
type Props = {
  text: string | ReactNode;
  onPress?: () => void;
  style?: RnTextStyleProp;
  action?: 'touchable' | 'none';
  type?: 'one' | 'two' | 'three' | 'four';
};
export const Title: FC<Props> = (props: Props) => {
  const { text, style, type, onPress, action } = props;
  const getStyle = () => {
    switch (type) {
      case 'one':
        return styles.one;
      case 'two':
        return styles.two;
      default:
        return styles.one;
    }
  };
  if (action && action === 'touchable') {
    return (
      <TouchableOpacity onPress={onPress}>
        <Label style={[getStyle(), style && style]}>{text}</Label>
      </TouchableOpacity>
    );
  }
  return <Label style={[getStyle(), style && style]}>{text}</Label>;
};
